import { html, ref } from "@microsoft/fast-element";
/**
 * A mixin class implementing start and end slots.
 * These are generally used to decorate text elements with icons or other visual indicators.
 * @public
 */
export class StartEnd {
}
/**
 * The template for the end slot.
 * For use with {@link StartEnd}
 *
 * @public
 */
export const endSlotTemplate = (context, definition) => html `
    <slot name="end" ${ref("end")}>${definition.end || ""}</slot>
`;
/**
 * The template for the start slots.
 * For use with {@link StartEnd}
 *
 * @public
 */
export const startSlotTemplate = (context, definition) => html `
        <slot name="start" ${ref("start")}>${definition.start || ""}</slot>
    `;
