import { __awaiter } from "tslib";
/**
 * A timeout helper for use in tests.
 * @param timeout The length of the timeout.
 * @returns A promise that resolves once the configured time has elapsed.
 * @public
 */
export function timeout(timeout = 0) {
    return __awaiter(this, void 0, void 0, function* () {
        return new Promise((resolve, reject) => {
            window.setTimeout(() => {
                resolve(void 0);
            }, timeout);
        });
    });
}
